unsigned short crc16ibm(const unsigned char *pcBlock, unsigned len)
{
    unsigned short crc = 0;
    unsigned char i;
 
    while (len--)
    {
        crc ^= *pcBlock++ << 8;
 
        for (i = 0; i < 8; i++)
            crc = crc & 0x8000 ? (crc << 1) ^ 0x8005 : crc << 1;
    }
 
    return crc;
}
