#include <windows.h>
#include "ConUtil.h"

//instead of calling GetConsoleScreenBufferInfo to get color we'll track it here
static COLOR color = FG_BLUE | FG_GREEN | FG_RED; //default colors at startup

void SetColor(COLOR attr)
{
  HANDLE hConsole;
  hConsole = GetStdHandle(STD_OUTPUT_HANDLE);
  SetConsoleTextAttribute(hConsole, attr);
  color = attr;
}

COLOR GetColor()
{
  return color;
}

