#ifndef _ALIBOOT_H_INCLUDED
#define _ALIBOOT_H_INCLUDED

#ifndef NDEBUG
#  pragma message("Using library: aliipld")
#  pragma comment(lib, "aliipld")
#else
#  pragma message("Using library: aliipl")
#  pragma comment(lib, "aliipl")
#endif

#define IPL_OK          0
#define IPL_EPARAM      0x80000000
#define IPL_ECOMM       0x80000001
#define IPL_EFILE       0x80000002
#define IPL_ERESP       0x80000003

unsigned IplGetLastError(void);
void IplSetLastError(unsigned error);
bool IplOpen(char *port=0);
void IplClose();

bool IplPing();
bool IplCall(unsigned addr);
bool IplReadMem(void *buf, unsigned addr, unsigned short len);
bool IplWriteMem(void *buf, unsigned addr, unsigned short len);
unsigned char IplGetResponse();
bool IplStart();

#endif
