#include <stdio.h>
#include "ConUtil.h"

void Fan()
{
  static int fan_pos=0;

  char chr[] = "|\\-/";
  printf("%c\r",chr[fan_pos++]);
  if (fan_pos>3)
     fan_pos = 0;
}

void ProgressBar(int cur,int max)
{
  static int old_cur=-1;
  int i;
  int pos;
  static int old_pos=-1;
  COLOR color_save;

  if (cur==old_cur)
     return;
  old_cur = cur;
  pos = 77*((double)cur)/((double)max);
  if (pos==old_pos)
     return;
  old_pos = pos;
  printf("\r[");
  color_save = GetColor();
  SetColor(FG_BLUE | FG_BRIGHT);
  for(i=0;i<pos;i++)
     printf("");
  for(i=pos; i<77; i++)
     printf("");
  SetColor(color_save);
  printf("]");
}

